# $Id: perl-Convert-GeekCode.spec 3128 2005-04-16 08:40:14Z dries $
# Authority: dries
# Upstream: &#9786;&#21776;&#23447;&#28450;&#9787; <autrijus$autrijus,org>

%define perl_vendorlib %(eval "`perl -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`perl -V:installvendorarch`"; echo $installvendorarch)

%define real_name Convert-GeekCode

Summary: Convert and generate geek code sequences
Name: perl-Convert-GeekCode
Version: 0.63
Release: 2%{?dist}
License: Artistic/GPL
Group: Applications/CPAN
URL: http://search.cpan.org/dist/Convert-GeekCode/

# Packager: Dries Verachtert <dries@ulyssis.org>
# Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: http://search.cpan.org/CPAN/authors/id/A/AU/AUTRIJUS/Convert-GeekCode-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch: noarch
BuildRequires: perl, perl(ExtUtils::MakeMaker)


%description
Utility module to convert and generate geek code sequences.


%prep
%setup -q -n %{real_name}-%{version}


%build
%{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{buildroot}%{_prefix}"
%{__make} %{?_smp_mflags}


%install
%{__rm} -rf %{buildroot}
%makeinstall
%{__rm} -rf %{buildroot}%{perl_archlib} %{buildroot}%{perl_vendorarch}


%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-, root, root, 0755)
%doc Changes README
%doc %{_mandir}/man?/*
%{_bindir}/geekdec
%{_bindir}/geekgen
%{perl_vendorlib}/Convert/GeekCode.pm
%{perl_vendorlib}/Convert/GeekCode


%changelog
* Fri Nov 25 2016 J. Randall Owens <jrowens@ghiapet.net> - 0.63-2
- clean up per rpmlint

* Thu Dec 25 2014 J. Randall Owens <jrowens@ghiapet.net> - 0.63-1
- Updated to version 0.63

* Fri Jun 22 2012 J. Randall Owens <jrowens@ghiapet.net> - 0.62-1
- update to 0.62
- rebuild for GhiaPet/Fedora 17

* Sun Jan  3 2010 J. Randall Owens <jrowens@ghiapet.net> - 0.51-2
- rebuild for Fedora 12

* Sat Apr  9 2005 Dries Verachtert <dries@ulyssis.org> - 0.51-1 - 3128/dries
- Initial package.
